LiteSpeed Cache for XF2 - Community

LiteSpeed Cache for XF2 - Community 2.2.4

No permission to download

Michael A.

Well-known member
Could it be because my board is private and this is only the login page?
no-cache for the login page is normal as well as for any page when logged in (we only cache for guests).

I'm actually seeing this for every page I inspect too on my forum.

That is concerning, are you logged out and visiting the forum as a guest (perhaps try incognito)? I tried clicking around the site in your signature and was able to get a cache hit on the pages I visited. If it is a different site that is affected please private message me and we can look into it further.
 
Has anyone had a problem with Litespeed and the Xenforo PWA version? Is it possible that the webmanifest.php file be cached and cause problems?

I added this to .htaccess and I will see if it works. The problem is that sometimes the URL bar appears on the PWA App.

<IfModule LiteSpeed>
RewriteEngine On
RewriteCond %{REQUEST_URI} ^/foro/webmanifest\.php
RewriteRule .* - [E=cache-control:no-cache]
</IfModule>

(the forum is in folder /foro/)
 

est3ban129

Active member
I have changed my server from plesk to cyberpanel and now absolutely nothing written in the .htaccess works, I have tried to fix it by changing some things but it doesn't work.

Is there any solution to this?
 

Michael A.

Well-known member
I have changed my server from plesk to cyberpanel and now absolutely nothing written in the .htaccess works, I have tried to fix it by changing some things but it doesn't work.

Is there any solution to this?

Hello @est3ban129 , I'd wager that you likely made the switch from Plesk (LiteSpeed Enterprise) to CyberPanel (OpenLiteSpeed). In this case any rules you might have had in Apache config that Enterprise may have been able to read would no longer be usable by OpenLiteSpeed which uses it's own custom configuration file.

Similarly OpenLiteSpeed requires a restart before .htaccess changes will take effect, unlike Enterprise which will switch to the new rules dynamically.

These are really just guesses on my end and I would recommend that you contact CyberPanel support directly to have someone investigate and help you out with this.

Regards,
-Michael
 

clubpromos

Active member
@Michael A.
I am planning to move to an OpenLiteSpeed server.
My site is WordPress at the root / and has Xenforo 2.2 in /forum.
Would there be a conflict between the WordPress install and Xenforo plugins?
 

Michael A.

Well-known member
@Michael A.
I am planning to move to an OpenLiteSpeed server.
My site is WordPress at the root / and has Xenforo 2.2 in /forum.
Would there be a conflict between the WordPress install and Xenforo plugins?

If I remember right the only thing to watch out for would be logged in cookie conflicts.

To summarize, you may need to set a custom vary for the "logged in" case for one of the installations so that the two plugins don't get confused about the logged in state of the visitor when seeing the vary for the other installation is present.
 

rdn

Well-known member
Bug?
  1. User register thru social media like facebook
  2. User request a new password via email at /account/security
  3. User logout the forum
  4. User click the link from the Email /lost-password/ to create new password
  5. Logged Cookie isn't set so user's can't login properly unless they clear browser cookies
 

Michael A.

Well-known member
Bug?
  1. User register thru social media like facebook
  2. User request a new password via email at /account/security
  3. User logout the forum
  4. User click the link from the Email /lost-password/ to create new password
  5. Logged Cookie isn't set so user's can't login properly unless they clear browser cookies
🤔 Can't say I've tested this one directly before. I'll give it a look later today and get back to you.
 
  • Love
Reactions: rdn

Alpha1

Well-known member
@Michael A. do you have any plans for a crawler similar to the crawler you have in the WP plugin? And ESI would be really nice.

If @Nulumia 's XFOptimize is compatible with LSCache, then please consider to list it here:
 
Last edited:

Michael A.

Well-known member
@Michael A. do you have any plans for a crawler similar to the crawler you have in the WP plugin? And ESI would be really nice.

If @Nulumia 's XFOptimize is compatible with LSCache, then please consider to list it here:
No real plans for a crawler at this time but I will see if I can get someone on testing XFOptimize internally as I'm currently swamped 😅. As of right now though, I can't think of any reason we might not be compatible with any crawler script/plugin.

Regards,
-Michael
 

DreamNetworks

Active member
Can anyone help me?

I have a license and this addon, installed everything in the .htaccess file and configured everything properly. Only I have a problem with the sessions I guess. When I''m logged in on my website, then after a few seconds/minutes im logged out, and it''s difficult to login again, finally after a few minutes i''m automatically logged in again.

What can cause this issue?
 

Michael A.

Well-known member
Can anyone help me?

I have a license and this addon, installed everything in the .htaccess file and configured everything properly. Only I have a problem with the sessions I guess. When I''m logged in on my website, then after a few seconds/minutes im logged out, and it''s difficult to login again, finally after a few minutes i''m automatically logged in again.

What can cause this issue?

Howdy @Gh0stAdventures ,

Would you happen to have another CMS using a LiteSpeed Cache plugin enabled for the same document root / URL? This behavior can sometimes be caused by login-cookie conflicts (https://docs.litespeedtech.com/lscache/troubleshoot/#logged-in-cookie-conflicts) where one site is affecting the logged-in status of another.

Otherwise the session/login cookie should be unaffected by our XF cache plugin -- operations dealing with setting and unsetting those cookies should bypass our cache.

Regards,
-Michael
 

wakon5544

Member
Hello @wakon5544 ,
The plugin has been marked compatible with all XF 2.2.x versions already. Am I misunderstanding your question?

Regards,
-Michael

If xenforo is compatible with the latest version, there is no problem. I wrote it because there is the phrase "Unmaintained" about the plugin.

 
Top